Summary:	GNOME MPlayer browser plugin
Name:		gecko-mediaplayer
Version:	1.0.9
Release:	%mkrel 4
License:	GPLv2+
URL:		http://kdekorte.googlepages.com/gecko-mediaplayer
Source:		http://gecko-mediaplayer.googlecode.com/svn/packages/%{name}-%{version}.tar.gz
Patch0:		gecko-mediaplayer-1.0.8-no-xpcom.patch
Patch1:		gecko-mediaplayer-1.0.9-np-loadds.patch
Group:		Networking/WWW
Requires:	gnome-mplayer >= %{version}
Provides:	mplayerplugin = 3.55-5mdv2010.0
Obsoletes:	mplayerplugin <= 3.55-5mdv2010.0
BuildRequires:	pkgconfig(mozilla-plugin)
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gmtk) >= %{version}
BuildRequires:	pkgconfig(nspr)

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to
play media in a browser. It should work with all browsers on
Unix-ish systems(Linux, BSD, Solaris) and use the NS4 API (Mozilla,
Firefox, Opera, etc.).

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

mv %{buildroot}%{_docdir}/%{name} installed-docs
rm installed-docs/{INSTALL,COPYING}

# zero length docs
find installed-docs -size 0 | xargs rm

%find_lang %{name}

rm -f %{buildroot}%{_libdir}/mozilla/plugins/%{name}*.la

%files -f %{name}.lang
%doc installed-docs/*
%{_libdir}/mozilla/plugins/%{name}*.so


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.0.9-4.mga6
+ Revision: 936244
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-3.mga5
+ Revision: 744963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-2.mga5
+ Revision: 679473
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 luigiwalser <luigiwalser> 1.0.9-1.mga5
+ Revision: 638228
- add patch from debian to possibly fix build with firefox 30
- 1.0.9

* Fri Jan 10 2014 pterjan <pterjan> 1.0.8-3.mga4
+ Revision: 566150
- Add another missing BuildRequires
- Add missing BuildRequires
- Use system nspr and don't require xpcom stuff

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 523733
- Mageia 4 Mass Rebuild

* Wed Mar 06 2013 luigiwalser <luigiwalser> 1.0.8-1.mga4
+ Revision: 401588
- 1.0.8

* Fri Jan 11 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 351192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 319431
- new version 1.0.7

* Mon Apr 16 2012 luigiwalser <luigiwalser> 1.0.6-1.mga2
+ Revision: 230991
- 1.0.6

* Sat Feb 18 2012 luigiwalser <luigiwalser> 1.0.5-2.mga2
+ Revision: 210532
- replace mplayerplugin

* Fri Jan 13 2012 fwang <fwang> 1.0.5-1.mga2
+ Revision: 195741
- br gmtk
- new version 1.0.5

* Mon Jul 18 2011 ahmad <ahmad> 1.0.4-1.mga2
+ Revision: 125801
- Update to 1.0.4
- Covert the BR to pkgconfig style

* Fri Jun 10 2011 ahmad <ahmad> 1.0.3-2.mga2
+ Revision: 103076
- Bump gnome-mplayer required version to 1.0.3, otherwise gecko-media crashes

* Fri Jun 10 2011 ahmad <ahmad> 1.0.3-1.mga2
+ Revision: 102752
- Update to 1.0.3
- Drop gconf support, it uses gsettings by default now
- Add BR curl-devel, for e.g. apple.com support

* Sun Jan 16 2011 anssi <anssi> 1.0.0-2.mga1
+ Revision: 20088
- separate Requires(post,preun) for better compatibility
- imported package gecko-mediaplayer


* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 611704
- new version 1.0.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 0.9.9.2-1mdv2010.1
+ Revision: 540574
- new version
- drop unneeded link.patch

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 501976
- New version 0.9.9
- build modules rather than prog

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 448011
- Update to new version 0.9.8
- Remove Apple trailers patch: integrated upstream

* Tue Aug 25 2009 Anssi Hannula <anssi@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 420739
- fix playback of Apple trailers (svn-apple-trailers.patch from upstream
  svn, fixes bug #53146)
- new version
- drop build.patch, fixed upstream

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 0.9.6-1mdv2010.0
+ Revision: 395394
- new version 0.9.6
- fix build with patch from PLD (build.patch)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 354930
- update to new version 0.9.5

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2009.1
+ Revision: 338584
- Update to new version 0.9.4

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 331903
- 0.9.3

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 305773
- New version 0.9.2

* Sat Nov 01 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 299128
- New verison 0.9.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 292253
- New version 0.8.0

* Sat Aug 16 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 272525
- New version 0.7.0

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 238877
- New version 0.6.3

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 227758
- New version 0.6.2

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 196089
- new version
- spec file clean

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 176575
- new version

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 155013
- New version 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Anssi Hannula <anssi@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 120401
- 0.5.3

* Sun Nov 18 2007 Anssi Hannula <anssi@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 110021
- update to new version 0.5.2

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 97696
- Install gconf schemas when install/uninstalling
- BR gconf2
- New version 0.5.1

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75198
- New version 0.5.0

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 0.0.7-1mdv2008.0
+ Revision: 53678
- 0.0.7

* Sun May 27 2007 Anssi Hannula <anssi@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 31629
- initial Mandriva release

